> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create account using plan and modules

POST https://api-d.docusign.net/Management/v2/organizations/{organizationId}/assetGroups/accountCreate
Content-Type: application/json

Creates a new Docusign account within an organization.

In the request body, specify the subscription and plan IDs for the new account. You can get these IDs through the [GetOrganizationPlanItems](/docs/admin-api/reference/accountprovisioning/accountcreation/getorganizationplanitems/) endpoint.

You also need to specify information about the new target account, including the name, location, and administrator. To set the location, provide the `countryCode` property. When you are testing in the developer environment, the value of `countryCode` will always be `US`.

The request body looks like this:

```json
{
   "subscriptionDetails": {
       "id": "'${SUBSCRIPTION_ID}'",
       "planId": "'${PLAN_ID}'",
       "modules": []
   },
   "targetAccount": {
       "name": "'${ACCOUNT_NAME}'",
       "countryCode": "US",
       "admin": {
           "email": "'${EMAIL_ADDRESS}'",
           "firstName": "'${FIRST_NAME}'",
           "lastName": "'${LAST_NAME}'",
           "locale": "en"
       }
   }
}
```

To call this endpoint:

* You must be an administrator for the specified organization.

[Required scopes](/docs/admin-api/admin101/auth/): `organization_sub_account_write`

Reference: https://developers.docusign.com/docs/admin-api/reference/accountprovisioning/accountcreation/createassetgroupaccount

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization's GUID.

### Body (application/json)

This endpoint expects a SubAccountCreateRequest.

- `subscriptionDetails` (SubAccountCreateRequest.SubAccountCreationSubscription, optional)
- `targetAccount` (SubAccountCreateRequest.SubAccountCreationTargetAccountDetails, optional)

## Response

### 200

OK

- `AssetGroupWork` (Subscription.Provision.Model.AssetGroupWork, optional)
- `Message` (string, optional)
- `Success` (boolean, optional)

## Types

### SubAccountCreateRequest.SubAccountCreationSubscription

- `id` (string, optional)
- `modules` (list of string, optional) — List of module IDs selected for creating the new account
- `planId` (string, optional) — Plan ID

### SubAccountCreateRequest.SubAccountCreationTargetAccountDetails

- `address` (AddressInformation, optional)
- `admin` (SubAccountCreateRequest.SubAccountCreationTargetAccountAdmin, optional)
- `countryCode` (string, optional) — The country code where the target account is in. This value is ignored if region is provided.
- `id` (string, optional)
- `name` (string, optional)
- `region` (string, optional) — The region where the target account is in.
- `site` (string, optional) — The site where the target account is on.

### Subscription.Provision.Model.AssetGroupWork

- `AssetGroupId` (string, optional)
- `AssetGroupWorkId` (string, optional)
- `AssetGroupWorkType` (enum, optional)
  - Allowed values: `Undefined`, `GroupAssetFulfillment`, `AccountAssetFulfillment`, `AccountAssetClone`, `AccountAssetCreate`, `SubscriptionSync`
- `Attempts` (integer, optional)
- `CloneAccountDetails` (Subscription.Provision.Model.Account.Create.CreateAccountDetails, optional)
- `CloneRequestId` (string, optional)
- `CreatedBy` (string, optional)
- `CreatedByEmail` (string, optional)
- `CreatedByName` (string, optional)
- `CreatedByType` (enum, optional) — 0 stands for Application, 1 stands for User, 2 stands for Generic, 3 stands for RestAPIAuth, 4 stands for Resource, 5 stands for Restricted
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`
- `CreatedDate` (datetime, optional)
- `CreateSubAccountDetails` (Subscription.Provision.Model.Account.Create.CreateSubAccountDetails, optional)
- `ErrorDetails` (Subscription.Provision.Model.ServiceErrorDetails, optional)
- `Message` (string, optional)
- `NewAssetGroupSubscriptionId` (string, optional)
- `OldAssetGroupSubscriptionId` (string, optional)
- `OrderId` (string, optional)
- `RetryOn` (datetime, optional)
- `SourceAccountExternalId` (long, optional)
- `SourceAccountId` (string, optional)
- `SourceAccountName` (string, optional)
- `SourceAccountSite` (string, optional)
- `SourceId` (string, optional)
- `SourceSystem` (string, optional)
- `Status` (enum, optional)
  - Allowed values: `Undefined`, `Pending`, `Processing`, `ProcessingOnHold`, `PendingError`, `ProcessingError`, `Completed`, `Canceled`, `PermanentFailure`
- `TargetAccountId` (string, optional)
- `UpdatedBy` (string, optional)
- `UpdatedByType` (enum, optional) — 0 stands for Application, 1 stands for User, 2 stands for Generic, 3 stands for RestAPIAuth, 4 stands for Resource, 5 stands for Restricted
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`
- `UpdatedDate` (datetime, optional)
- `UpdateHistory` (list of Subscription.Provision.Model.ChangeEvent, optional)

### AddressInformation

- `country` (string, optional)
- `fax` (string, optional)
- `locality` (string, optional)
- `phone` (string, optional)
- `postal_code` (string, optional)
- `region` (string, optional) — The region where the target account is in.
- `street_address` (string, optional)
- `street_address_2` (string, optional)

### SubAccountCreateRequest.SubAccountCreationTargetAccountAdmin

- `address` (AddressInformation, optional)
- `email` (string, optional) — The email address.
- `firstName` (string, optional)
- `lastName` (string, optional)
- `locale` (enum, optional)
  - Allowed values: `None`, `zh_cn`, `zh_tw`, `nl`, `en`, `fr`, `de`, `it`, `ja`, `ko`, `pt`, `pt_br`, `ru`, `es`, `pl`

### Subscription.Provision.Model.Account.Create.CreateAccountDetails

- `Address` (DocuSign.Account.Domain.Model.Address, optional)
- `AdminUser` (Subscription.Provision.Model.Account.Create.AccountAdmin, optional)
- `BillingProfileType` (enum, optional) — 0 stands for Web, 1 stands for Direct
  - Allowed values: `0`, `1`
- `CountryCode` (string, optional)
- `Name` (string, optional)
- `Region` (string, optional)
- `Site` (string, optional)

### Subscription.Provision.Model.Account.Create.CreateSubAccountDetails

- `Address` (DocuSign.Account.Domain.Model.Address, optional)
- `AdminUser` (Subscription.Provision.Model.Account.Create.AccountAdmin, optional)
- `BillingProfileType` (enum, optional) — 0 stands for Web, 1 stands for Direct
  - Allowed values: `0`, `1`
- `CountryCode` (string, optional)
- `Name` (string, optional)
- `Region` (string, optional)
- `Site` (string, optional)
- `SubscriptionDetails` (Subscription.Provision.Model.Account.Create.CreateAccountSubscriptionDetails, optional)

### Subscription.Provision.Model.ServiceErrorDetails

- `ErrorCode` (string, optional)
- `ErrorDescription` (string, optional)
- `IsSystemError` (boolean, optional)
- `PublicErrorCode` (string, optional)

### Subscription.Provision.Model.ChangeEvent

- `Action` (string, optional)
- `EventDate` (datetime, optional)
- `TraceToken` (string, optional)

### DocuSign.Account.Domain.Model.Address

- `Address1` (string, optional)
- `Address2` (string, optional)
- `City` (string, optional)
- `Country` (string, optional)
- `Fax` (string, optional)
- `Phone` (string, optional)
- `PostalCode` (string, optional)
- `StateProvince` (string, optional)
- `ZipPlus4` (string, optional)

### Subscription.Provision.Model.Account.Create.AccountAdmin

- `Address` (DocuSign.Account.Domain.Model.Address, optional)
- `EmailAddress` (string, optional)
- `FirstName` (string, optional)
- `LastName` (string, optional)
- `Locale` (enum, optional)
  - Allowed values: `None`, `zh_cn`, `zh_tw`, `nl`, `en`, `fr`, `de`, `it`, `ja`, `ko`, `pt`, `pt_br`, `ru`, `es`, `pl`

### Subscription.Provision.Model.Account.Create.CreateAccountSubscriptionDetails

- `Modules` (list of string, optional)
- `PlanId` (string, optional)
- `SubscriptionId` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "AssetGroupWork": {
    "AssetGroupId": "string",
    "AssetGroupWorkId": "string",
    "AssetGroupWorkType": "Undefined",
    "Attempts": 1,
    "CloneAccountDetails": {
      "Address": {
        "Address1": "string",
        "Address2": "string",
        "City": "string",
        "Country": "string",
        "Fax": "string",
        "Phone": "string",
        "PostalCode": "string",
        "StateProvince": "string",
        "ZipPlus4": "string"
      },
      "AdminUser": {
        "Address": {
          "Address1": "string",
          "Address2": "string",
          "City": "string",
          "Country": "string",
          "Fax": "string",
          "Phone": "string",
          "PostalCode": "string",
          "StateProvince": "string",
          "ZipPlus4": "string"
        },
        "EmailAddress": "string",
        "FirstName": "string",
        "LastName": "string",
        "Locale": "None"
      },
      "BillingProfileType": 0,
      "CountryCode": "string",
      "Name": "string",
      "Region": "string",
      "Site": "string"
    },
    "CloneRequestId": "string",
    "CreatedBy": "string",
    "CreatedByEmail": "string",
    "CreatedByName": "string",
    "CreatedByType": 0,
    "CreatedDate": "2024-01-15T09:30:00Z",
    "CreateSubAccountDetails": {
      "Address": {
        "Address1": "string",
        "Address2": "string",
        "City": "string",
        "Country": "string",
        "Fax": "string",
        "Phone": "string",
        "PostalCode": "string",
        "StateProvince": "string",
        "ZipPlus4": "string"
      },
      "AdminUser": {
        "Address": {
          "Address1": "string",
          "Address2": "string",
          "City": "string",
          "Country": "string",
          "Fax": "string",
          "Phone": "string",
          "PostalCode": "string",
          "StateProvince": "string",
          "ZipPlus4": "string"
        },
        "EmailAddress": "string",
        "FirstName": "string",
        "LastName": "string",
        "Locale": "None"
      },
      "BillingProfileType": 0,
      "CountryCode": "string",
      "Name": "string",
      "Region": "string",
      "Site": "string",
      "SubscriptionDetails": {
        "Modules": [
          "string"
        ],
        "PlanId": "string",
        "SubscriptionId": "string"
      }
    },
    "ErrorDetails": {
      "ErrorCode": "string",
      "ErrorDescription": "string",
      "IsSystemError": true,
      "PublicErrorCode": "string"
    },
    "Message": "string",
    "NewAssetGroupSubscriptionId": "string",
    "OldAssetGroupSubscriptionId": "string",
    "OrderId": "string",
    "RetryOn": "2024-01-15T09:30:00Z",
    "SourceAccountExternalId": 1,
    "SourceAccountId": "string",
    "SourceAccountName": "string",
    "SourceAccountSite": "string",
    "SourceId": "string",
    "SourceSystem": "string",
    "Status": "Undefined",
    "TargetAccountId": "string",
    "UpdatedBy": "string",
    "UpdatedByType": 0,
    "UpdatedDate": "2024-01-15T09:30:00Z",
    "UpdateHistory": [
      {
        "Action": "string",
        "EventDate": "2024-01-15T09:30:00Z",
        "TraceToken": "string"
      }
    ]
  },
  "Message": "string",
  "Success": true
}
```